Subject: Questions on Solving Congestion in MPLS

From: "Robert Streijl" <[email-masked]>
Date: Thu, 17 Aug 2000 15:39:44 -0400

Hi,

I have some questions on a couple of relate things.
The main question is: In case of TE, and there is congestion in the network, how
will traffic be send over a new LSP to prevent any discarding of packets/frames?

I did some searching and came up with the following:
1) In case of TE, you will not run into congestion problems
2) Congestion is really associated to QoS, and can be solved by e.g. Explicit
Congestion Notification (ECN) which currently is experimental and not deployed.
It is also included in the IP header, so really a layer 3 service.
3) Fast Rerouting, in the case of link failures and router failures will use a
new route, by attaching a new label to all packets with a label that would go
over the link or to the router that failed, and pushing the packets belonging to
other LSPs on the label stack.

My first question is if these observations are correct, and my second question
is: In the case of fast rerouting, how is decided to use that new label and go
over another route? Is this dynamically decided by the routing protocol, and
when, or is this a manual operation by an admin that sets a default route with a
label, in case other routes go down?

I hope the questions have the proper granularity and are clear. If not, please
let me know...
Thanks very much in advance.

Kind Regards,
Robert

---

From: "Metz, E.T." <[email-masked]>
Date: Fri, 18 Aug 2000 14:14:27 +0100

Hi Robert,

> -----Original Message-----
> From: Shahram Davari [mailto:[email-masked]]
> Sent: donderdag 17 augustus 2000 21:22
> To: 'Robert Streijl'; [email-masked]
> Subject: RE: Questions on Solving Congestion in MPLS
> 
> 
> Robert,
> 
> >-----Original Message-----
> >From: Robert Sterol [mailto:[email-masked]]
> >Sent: Thursday, August 17, 2000 3:40 PM
> >To: [email-masked]
> >Subject: Questions on Solving Congestion in MPLS
> >
> >
> >
> >
> >Hi,
> >

It seems your targeting at some load-sensitive load-balancing mechanism. I
think OMP (optimised multi-path) described by Curtis Villamizar would fit
this best. However, I have not heard of any implementation of OMP yet. 

In any other case, i.e. not using OMP, I don't think traffic will be put on
other LSPs. So the congestion remains until you re-compute the TE LSPs. If
you would want to that based on load, the only solution at this moment, as
far as I know, is to use off-line tools that take into account your network
topology (and capacity), and traffic load on the links in the network.

> It depends on the network policy and the extent of TE 
> implementation. If the
> network policy is to drop packets when all the routes are 
> congested, and if
> TE is implemented in all edge routers, then you won't probably see any
> persistant congestion. Otherwise you may see.
> 

As stated already, TE can help lessen a congestion problem. TE alone,
however, will not prevent all congestion problems. Your network should be
dimensioned/engineered properly as well, if this is done wrong, TE won't
help you at all.

< ... snip ... >

> There are basically 2 methods:
> 
> 1) offline (pre-computation) -> can be manual or automatic
> 2) on-line (instant computation)-> is automatic
> 

There are indeed two ways to *compute* the alternative path, or any path for
that matter (as described above). The actual switch-over (from "working" to
"protection" LSP) occurs automatically. The decision to switch over is made
by the router at which both LSPs start, and could be based on several
criteria and information from several different sources (e.g. routing
protocol, hello mechanism, I/F down etc.).

cheers,
	Eduard

> Regards,
> -Shahram